import React, { Component } from 'react';
import {
  StyleSheet,
  Text,
  View
} from 'react-native';

import DateUtils from 'react-native-date-utils';

export default class DateUtilsExample extends Component {
  render() {
    const is24HourFormat = DateUtils.is24HourFormat();
    return (
      <View style={styles.container}>
        <Text style={styles.text}>
          Your system uses {is24HourFormat ? '24 hours' : 'no 24 hours'} time format
        </Text>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#F5FCFF',
  },
  text: {
    textAlign: 'center',
    color: '#333333',
    margin: 10,
  },
});
